/** Color definitions
 * Overrides: https://github.com/squidfunk/mkdocs-material/blob/6.0.2/src/assets/stylesheets/main/_colors.scss
 * Ref: https://squidfunk.github.io/mkdocs-material/getting-started/#color-scheme
 */
:root {
  /* Primary color shades */
  --md-primary-fg-color: rgb(63, 168, 223);
  --md-primary-fg-color--light: rgba(0, 133, 202, 0.8);
  --md-primary-fg-color--dark: rgb(0, 133, 202);

  /* Accent color shades */
  --md-accent-fg-color: rgb(0, 133, 202);
  --md-accent-fg-color--transparent: rgba(0, 133, 202, 0.65);

  /* Application specific colors */
  --cor-bg-color: rgb(41, 49, 71);
}

:root>* {
  /* Footer color shades */
  --md-footer-bg-color: white;
  --md-footer-bg-color--dark: var(--cor-bg-color);
  --md-footer-fg-color: grey;
  --md-footer-fg-color--light: lightgrey;
  --md-footer-fg-color--lighter: white;

  /* Typeset color shades */
  /* --md-typeset-a-color: This was earlier same as --md-primary-fg-color - but that is too dark
     *                       And was not distinguishable from --md-typeset-color. So, change this color.
     */
  --md-typeset-a-color: var(--md-primary-fg-color--light);
}


.md-grid {
  max-width: 100%;
  margin-top: 0;
}

@media (min-width: 1920px) {
  .md-grid {
    max-width: 80%;
    margin-top: 0;
  }
}

/** Footer
 * Overrides: https://github.com/squidfunk/mkdocs-material/blob/6.0.2/src/assets/stylesheets/main/layout/_footer.scss
 */
.footer-logo {
  width: 12em;
}

/** Header
 * Overrides: https://github.com/squidfunk/mkdocs-material/blob/6.0.2/src/assets/stylesheets/main/layout/_header.scss
 */
.md-header {
  background-color: var(--cor-bg-color);
}

.md-header__button.md-logo {
  padding: 0.2rem 0.6rem;
}

.md-header__button.md-logo :-webkit-any(img,svg){
  width: auto;
  height: 100%;
  max-height: 2rem;
}


.btn-logout {
  font-weight: bold;
  font-size: 12px;
  padding: 10px;
  background: #f9f9f9;
  border: none;
  margin: 10px;
}

.md-search-result .md-typeset {
  display: -webkit-box;
  -webkit-line-clamp: 3;
  -webkit-box-orient: vertical;
  max-height: 120px; /* <- adjust to fit */
}

.md-header-nav__button.md-icon {
  margin: 0 0.5rem;
}